import { createDatePickerRange as e } from "./index-date-range-picker-utils.js";
import t from "./index-moment.js";
const n = () => [e({
  id: "last-14-days",
  startDate: t().subtract(14, "day").toDate(),
  endDate: t().toDate(),
  label: "Last %day_value% days",
  replacements: {
    day_value: 14
  },
  isDefault: !0
}), e({
  id: "last-30-days",
  startDate: t().subtract(30, "day").toDate(),
  endDate: t().toDate(),
  label: "Last %day_value% days",
  replacements: {
    day_value: 30
  }
}), e({
  id: "last-6-months",
  startDate: t().subtract(6, "month").toDate(),
  endDate: t().toDate(),
  label: "Last %month_value% months",
  replacements: {
    month_value: 6
  }
}), e({
  id: "last-12-months",
  startDate: t().subtract(12, "month").toDate(),
  endDate: t().toDate(),
  label: "Last %month_value% months",
  replacements: {
    month_value: 12
  }
}), e({
  id: "last-18-months",
  startDate: t().subtract(18, "month").toDate(),
  endDate: t().toDate(),
  label: "Last %month_value% months",
  replacements: {
    month_value: 18
  }
}), e({
  id: "all-time",
  startDate: void 0,
  endDate: void 0,
  label: "Full timeline",
  isSelected: (a) => !a.startDate || !a.endDate
})];
export {
  n as useDateRangePickerStaticRanges
};
